#!/bin/sh

echo "post-install"

case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		cp -af $APKG_TEMP_DIR/config/configuration.php /volume1/Web/joomla3/
		
		# keep owner/group and permission (-o -g -p)
		rsync -r -t -u -p -o -g --ignore-existing --include=*/ --exclude=index.html $APKG_TEMP_DIR/administrator/templates /volume1/Web/joomla3/administrator/
		rsync -r -t -u -p -o -g --ignore-existing --include=*/ --exclude=index.html $APKG_TEMP_DIR/administrator/language /volume1/Web/joomla3/administrator/
		rsync -r -t -u -p -o -g --ignore-existing --include=*/ --exclude=index.html $APKG_TEMP_DIR/templates /volume1/Web/joomla3/
		rsync -r -t -u -p -o -g --ignore-existing --include=*/ --exclude=index.html $APKG_TEMP_DIR/language /volume1/Web/joomla3/
		rsync -r -t -u -p -o -g --ignore-existing --include=*/ --exclude=index.html $APKG_TEMP_DIR/plugins /volume1/Web/joomla3/
		
		#if upgrade, remove "installation" folder directly.
		rm -rf /volume1/Web/joomla3/installation
		;;
	*)
		;;
esac

exit 0
